ruby_version = Object::RUBY_VERSION.to_f.to_s.delete('.')
file = "rgloader#{ruby_version}"
if Object::RUBY_PLATFORM =~ /darwin/i
  file += '.darwin'
  ext = '.bundle'
else
  file += '.mingw'
  file += '.x64' if Sketchup.respond_to?(:is_64bit?)
  ext = '.so'
end

directory = File.expand_path(File.dirname(__FILE__))
loader_file = File.join(directory, file + ext)
#p "RubyEncoder loader: #{loader_file}"
raise LoadError, "Could not find rgloader: #{loader_file}" unless File.exist?(loader_file)

$LOADED_FEATURES.reject! { |p| p.start_with?(loader_file) }

require loader_file

if !defined?(RGLoader) then
  raise LoadError, "The RubyEncoder loader is not installed."
end
